/*1354045583,178142531*/

if (self.CavalryLogger) { CavalryLogger.start_js(["XSxBT"]); }

/** js/lib/net/error_signal.js */
__d("legacy:error-signal",["ErrorSignal"],function(a,b,c,d){



var e=b('ErrorSignal');
a.send_error_signal=e.sendErrorSignal;
a.logJSError=e.logJSError;},

3);

/** js/modules/ErrorLogging.js */
__d("ErrorLogging",["ErrorSignal","ErrorUtils"],function(a,b,c,d,e,f){



var g=b('ErrorSignal'),
h=b('ErrorUtils');

h.addListener(function(i){
g.logJSError(i.category||'onerror',
{error:i.name||i.message,
extra:i});});});
